#!/bin/bash

NEXPERIMENTS=5
DEVICE=0

# arguments are number of runs, width, learning rate, device, augmented_dim
run_single() {
COUNTER=1
while [ $COUNTER -le $1 ]
do
python -m experiments.g1d --width $2 --lr $3 --device $4 --aug_dim $5 --experiment_no $COUNTER
((COUNTER++))
done
}

# arguments are number of runs, width, learning rate, device
collect_data() {
run_single $1 $2 $3 $4 0 
run_single $1 $2 $3 $4 1
run_single $1 $2 $3 $4 2
}

# run through all loops and collect the data
collect_data $NEXPERIMENTS 1500 0.0001 $DEVICE























